Subject: [Gen-art] Draft new version: draft-dtls-sdp-28 [was: Gen-ART Last Call review of draft-ietf-mmusic-dtls-sdp-27]

From: Christer Holmberg <[email-masked]>
Date: Sat, 5 Aug 2017 17:46:02 +0000

Hi,

Based on the gen-art comments by Paul, I have merged the PR and submitted a new version (-28) of draft-dtls-sdp.

Note that the draft now replaces the reference to RFC 4572 within RFC 5763 to a reference to RFC 8122.

Regards,

Christer

-----Original Message-----
From: Christer Holmberg [mailto:[email-masked]] 
Sent: 31 July 2017 19:20
To: Paul Kyzivat <[email-masked]>; Ben Campbell <[email-masked]>
Cc: [email-masked]; General Area Review Team <[email-masked]>; IETF MMUSIC WG <[email-masked]>
Subject: RE: [Gen-art] Gen-ART Last Call review of draft-ietf-mmusic-dtls-sdp-27

PR updated.

Regards,

Christer

-----Original Message-----
From: Paul Kyzivat [mailto:[email-masked]]
Sent: 31 July 2017 18:03
To: Christer Holmberg <[email-masked]>; Ben Campbell <[email-masked]>
Cc: [email-masked]; General Area Review Team <[email-masked]>; IETF MMUSIC WG <[email-masked]>
Subject: Re: [Gen-art] Gen-ART Last Call review of draft-ietf-mmusic-dtls-sdp-27

On 7/31/17 4:05 AM, Christer Holmberg wrote:
> Hi Paul,
> 
>>> PR created:
>>>
>>> https://github.com/cdh4u/draft-dtls-sdp/pull/34
>>
>> This leaves RFC5763 in an inconsistent state:
>> - the reference to 8122 in section 5 isn't backed up with an entry in 
>> the references section
> 
> In the PR, I DO add 8122 to the reference section of 5763 :)

Oh, sorry.

>> - there is still a reference to 4572 in the introduction.
> 
> I could add a statement, saying that the reference in the Introduction is updated.

That works for me.

	Thanks,
	Paul

> Regards,
> 
> Christer
> 
> 
> 
> 
> Otherwise looks right.
> 
> 	Thanks,
> 	Paul
> 
>> Regards,
>>
>> Christer
>>
>> -----Original Message-----
>> From: Christer Holmberg [mailto:[email-masked]]
>> Sent: 29 July 2017 23:38
>> To: Paul Kyzivat <[email-masked]>; Ben Campbell 
>> <[email-masked]>
>> Cc: [email-masked]; General Area Review Team 
>> <[email-masked]>; IETF MMUSIC WG <[email-masked]>
>> Subject: RE: [Gen-art] Gen-ART Last Call review of
>> draft-ietf-mmusic-dtls-sdp-27
>>
>> Hi,
>>
>>>>>>> Regarding the reference to RFC 4572, the new text in section
>>>>>>> 10.2.1 references RFC 4572. We earlier agreed we were not going to update that text, and keep an informative reference to RFC 4572.
>>>>>>
>>>>>> OK, I guess I remember that now. Is it considered acceptable to 
>>>>>> issue a new document with a reference to an obsolete document when it isn't to highlight a difference from the current document?
>>>>>>
>>>>>> Since this is a review for the teleconference, I'll just leave that for the IESG folk to decide.
>>>>>
>>>>> As far as I know, there’s no hard and fast rule about this. It 
>>>>> really depends on whether the difference between the new and 
>>>>> obsolete dependencies are material to the draft. I do think we (i.e.
>>>>> the IESG) would favor referencing the new RFC, but would be open 
>>>>> to arguments about why a WG chose to reference the obsolete 
>>>>> version
>>>>>
>>>>> Does anyone recall the reasoning in this instance?
>>>>
>>>> Just to make sure we are on the same page, there are TWO references to RFC 4572 in the draft.
>>>>
>>>> The FIRST reference is in section 8, where it is used to reference 
>>>> an example in RFC 4572. The same example exists in RFC 8122, so we can change that reference.
>>>>
>>>> The SECOND reference is in section 10.2.1, as part of the updated 
>>>> text for RFC 5763. Now, RFC 5763 references RFC 4572 in 4 
>>>> difference places, so if we change the >reference to RFC 8122 in 
>>>> the text updated by the draft we would also have to do it in every other place. That was the reason we decided not to do it (I have no problem doing it that's what IESG wants, though).
>>>
>>> Thanks for pointing that out. I just looked at that to size up the 
>>> situation. Of those four references, three of them are in section 5 
>>> and will all be replaced by the new text in this document. The remaining reference is simply a general one in the introduction. And then in addition there is the actual reference text in the normative references.
>>>
>>> ISTM that it would be sufficient to update the reference in the new 
>>> text for section 5 and then add a general statement to update all references to 4572 to refer to 8122.
>>>
>>> But again, this is really an IESG issue at this point.
>>
>> Or, we could just go ahead and do it :)
>>
>> Regards,
>>
>> Christer
>>
>>>
>>>
>>>
>>>>> -----Original Message-----
>>>>> From: Christer Holmberg [mailto:[email-masked]]
>>>>> Sent: 29 July 2017 01:07
>>>>> To: Paul Kyzivat <[email-masked]>; 
>>>>> [email-masked]
>>>>> Cc: General Area Review Team <[email-masked]>; IETF MMUSIC WG 
>>>>> <[email-masked]>
>>>>> Subject: RE: [Gen-art] Gen-ART Last Call review of
>>>>> draft-ietf-mmusic-dtls-sdp-27 Hi Paul, Thanks for the review. I'll 
>>>>> fix references.
>>>>> Regards,
>>>>> Christer
>>>>> -----Original Message-----
>>>>> From: Paul Kyzivat [mailto:[email-masked]]
>>>>> Sent: 28 July 2017 04:01
>>>>> To: [email-masked]
>>>>> Cc: General Area Review Team <[email-masked]>; IETF MMUSIC WG 
>>>>> <[email-masked]>
>>>>> Subject: [Gen-art] Gen-ART Last Call review of
>>>>> draft-ietf-mmusic-dtls-sdp-27 I am the assigned Gen-ART reviewer for this draft. The General Area Review Team (Gen-ART) reviews all IETF documents being processed by the IESG for the IETF Chair. Please wait for direction from your document shepherd or AD before posting a new version of the draft. For more information, please see the FAQ at <​http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
>>>>> Document: draft-ietf-mmusic-dtls-sdp-27
>>>>> Reviewer: Paul Kyzivat
>>>>> Review Date: 2017-07-07
>>>>> IETF LC End Date: 2017-07-24
>>>>> IESG Telechat date: 2017-08-15
>>>>> Summary:
>>>>> This draft is basically ready for publication, but has nits that should be fixed before publication.
>>>>> (These nits were reported by IdNits. I apologize for not noticing 
>>>>> these during my Last Call review.)
>>>>> Issues:
>>>>> Major: 0
>>>>> Minor: 0
>>>>> Nits:  2
>>>>> (1) NIT: Unused Reference: 'RFC5245' is defined on line 1065, but 
>>>>> no explicit reference was found in the text This is now redundant because all the references in the text have been changed to draft-ietf-ice-rfc5245bis.
>>>>> (2) NIT: Obsolete informational reference (is this intentional?):
>>>>> RFC
>>>>> 4572 This is now obsolete because it has been replaced by RFC8122. This draft should now be referencing that.
>>>>
>>>
>>
>